OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.Multisample

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBMultisample :: MonadIO m => m Bool
- gl_ARB_multisample :: Bool
- pattern GL_MULTISAMPLE_ARB :: GLenum
- pattern GL_MULTISAMPLE_BIT_ARB :: GLbitfield
- pattern GL_SAMPLES_ARB :: GLenum
- pattern GL_SAMPLE_ALPHA_TO_COVERAGE_ARB :: GLenum
- pattern GL_SAMPLE_ALPHA_TO_ONE_ARB :: GLenum
- pattern GL_SAMPLE_BUFFERS_ARB :: GLenum
- pattern GL_SAMPLE_COVERAGE_ARB :: GLenum
- pattern GL_SAMPLE_COVERAGE_INVERT_ARB :: GLenum
- pattern GL_SAMPLE_COVERAGE_VALUE_ARB :: GLenum
- glSampleCoverageARB :: MonadIO m => GLfloat -> GLboolean -> m ()

# Extension Support

glGetARBMultisample :: MonadIO m => m Bool Source #

Is the ARB_multisample extension supported?

gl_ARB_multisample :: Bool Source #

Is the ARB_multisample extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBMultisample` in those cases instead.

# Enums

pattern GL_MULTISAMPLE_ARB :: GLenum Source #

pattern GL_MULTISAMPLE_BIT_ARB :: GLbitfield Source #

pattern GL_SAMPLES_ARB :: GLenum Source #

pattern GL_SAMPLE_ALPHA_TO_COVERAGE_ARB :: GLenum Source #

pattern GL_SAMPLE_ALPHA_TO_ONE_ARB :: GLenum Source #

pattern GL_SAMPLE_BUFFERS_ARB :: GLenum Source #

pattern GL_SAMPLE_COVERAGE_ARB :: GLenum Source #

pattern GL_SAMPLE_COVERAGE_INVERT_ARB :: GLenum Source #

pattern GL_SAMPLE_COVERAGE_VALUE_ARB :: GLenum Source #

# Functions

glSampleCoverageARB Source #

Arguments

:: MonadIO m |
=> GLfloat | `value`.
-> GLboolean | `invert` of type Boolean.
-> m () |

This command is an alias for `glSampleCoverage`.